Bug 1500721 - [abrt] libgnomekbd: get_preferred_height_for_width(): gkbd-keyboard-display killed by SIGSEGV
Summary: [abrt] libgnomekbd: get_preferred_height_for_width(): gkbd-keyboard-display k...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: libgnomekbd
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f44ff98993289abf2a986358dd3...
: 1516406 1521188 1523460 1527075 1529005 1530423 1531846 1538019 1550559 1557753 1561476 1563750 1564795 1571559 1573385 1618988 1647325 1672093 1686515 1697008 1703660 1744556 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-11 11:33 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2019-10-31 18:55 UTC (History)
37 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
File: backtrace (45.73 KB, text/plain)
2017-10-11 11:33 UTC, Zbigniew Jędrzejewski-Szmek
no flags Details
File: cgroup (289 bytes, text/plain)
2017-10-11 11:33 UTC, Zbigniew Jędrzejewski-Szmek
no flags Details
File: core_backtrace (17.78 KB, text/plain)
2017-10-11 11:33 UTC, Zbigniew Jędrzejewski-Szmek
no flags Details
File: cpuinfo (1.35 KB, text/plain)
2017-10-11 11:33 UTC, Zbigniew Jędrzejewski-Szmek
no flags Details
File: dso_list (8.33 KB, text/plain)
2017-10-11 11:33 UTC, Zbigniew Jędrzejewski-Szmek
no flags Details
File: environ (1.49 KB, text/plain)
2017-10-11 11:33 UTC, Zbigniew Jędrzejewski-Szmek
no flags Details
File: exploitable (82 bytes, text/plain)
2017-10-11 11:33 UTC, Zbigniew Jędrzejewski-Szmek
no flags Details
File: limits (1.29 KB, text/plain)
2017-10-11 11:33 UTC, Zbigniew Jędrzejewski-Szmek
no flags Details
File: maps (44.50 KB, text/plain)
2017-10-11 11:33 UTC, Zbigniew Jędrzejewski-Szmek
no flags Details
File: open_fds (745 bytes, text/plain)
2017-10-11 11:33 UTC, Zbigniew Jędrzejewski-Szmek
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-10-11 11:33 UTC, Zbigniew Jędrzejewski-Szmek
no flags Details
File: var_log_messages (115 bytes, text/plain)
2017-10-11 11:33 UTC, Zbigniew Jędrzejewski-Szmek
no flags Details

Description Zbigniew Jędrzejewski-Szmek 2017-10-11 11:33:02 UTC
Description of problem:
I added a new layout (polish with typing booster, pl-PL) in addition to the existing "en". I clicked on "show keyboard layout".

Version-Release number of selected component:
libgnomekbd-3.26.0-1.fc27

Additional info:
reporter:       libreport-2.9.2
backtrace_rating: 4
cmdline:        gkbd-keyboard-display -l default
crash_function: get_preferred_height_for_width
executable:     /usr/bin/gkbd-keyboard-display
journald_cursor: s=dbd7fe425adb4f6f996afe3da6b26800;i=2f1d;b=1002ba3e3b424d61bbebb6db0db2dfbd;m=19bf054c8d;t=55b43b296cb5f;x=8b264f38849a27cf
kernel:         4.13.4-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 get_preferred_height_for_width at gkbd-keyboard-drawing.c:2146
 #1 gtk_widget_query_size_for_orientation at gtksizerequest.c:246
 #2 gtk_widget_compute_size_for_orientation at gtksizerequest.c:399
 #3 gtk_widget_get_preferred_height_for_width at gtksizerequest.c:601
 #4 gtk_box_compute_size_for_orientation at gtkbox.c:1981
 #5 gtk_box_get_content_size at gtkbox.c:2074
 #6 gtk_css_custom_gadget_get_preferred_size at gtkcsscustomgadget.c:124
 #7 gtk_css_gadget_get_preferred_size at gtkcssgadget.c:675
 #8 gtk_box_get_preferred_height_and_baseline_for_width at gtkbox.c:2041
 #9 gtk_widget_query_size_for_orientation at gtksizerequest.c:242

Potential duplicate: bug 1494877

Comment 1 Zbigniew Jędrzejewski-Szmek 2017-10-11 11:33:13 UTC
Created attachment 1337118 [details]
File: backtrace

Comment 2 Zbigniew Jędrzejewski-Szmek 2017-10-11 11:33:15 UTC
Created attachment 1337119 [details]
File: cgroup

Comment 3 Zbigniew Jędrzejewski-Szmek 2017-10-11 11:33:18 UTC
Created attachment 1337120 [details]
File: core_backtrace

Comment 4 Zbigniew Jędrzejewski-Szmek 2017-10-11 11:33:20 UTC
Created attachment 1337121 [details]
File: cpuinfo

Comment 5 Zbigniew Jędrzejewski-Szmek 2017-10-11 11:33:23 UTC
Created attachment 1337122 [details]
File: dso_list

Comment 6 Zbigniew Jędrzejewski-Szmek 2017-10-11 11:33:25 UTC
Created attachment 1337123 [details]
File: environ

Comment 7 Zbigniew Jędrzejewski-Szmek 2017-10-11 11:33:27 UTC
Created attachment 1337124 [details]
File: exploitable

Comment 8 Zbigniew Jędrzejewski-Szmek 2017-10-11 11:33:30 UTC
Created attachment 1337125 [details]
File: limits

Comment 9 Zbigniew Jędrzejewski-Szmek 2017-10-11 11:33:33 UTC
Created attachment 1337126 [details]
File: maps

Comment 10 Zbigniew Jędrzejewski-Szmek 2017-10-11 11:33:35 UTC
Created attachment 1337127 [details]
File: open_fds

Comment 11 Zbigniew Jędrzejewski-Szmek 2017-10-11 11:33:38 UTC
Created attachment 1337128 [details]
File: proc_pid_status

Comment 12 Zbigniew Jędrzejewski-Szmek 2017-10-11 11:33:40 UTC
Created attachment 1337129 [details]
File: var_log_messages

Comment 13 Zhang 2017-11-22 15:03:22 UTC
*** Bug 1516406 has been marked as a duplicate of this bug. ***

Comment 14 fedora@mail.magic-object.mydns.jp 2017-12-05 23:48:00 UTC
*** Bug 1521188 has been marked as a duplicate of this bug. ***

Comment 15 qinhuajun 2017-12-08 03:39:01 UTC
*** Bug 1523460 has been marked as a duplicate of this bug. ***

Comment 16 lennart_reuther 2017-12-17 12:59:57 UTC
Similar problem has been detected:

Trying to open keyboard layout.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        gkbd-keyboard-display -l default
crash_function: get_preferred_height_for_width
executable:     /usr/bin/gkbd-keyboard-display
journald_cursor: s=cd07e3d4b71a4b87a5e058b76d4048f5;i=b272;b=1a73c6308e814871b19655a3f8a4c130;m=6cf812604;t=56088a2bfc385;x=8df66819205443ef
kernel:         4.14.5-300.fc27.x86_64
package:        libgnomekbd-3.26.0-1.fc27
reason:         gkbd-keyboard-display killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 623409222 2017-12-18 13:48:45 UTC
*** Bug 1527075 has been marked as a duplicate of this bug. ***

Comment 18 fedora@mail.magic-object.mydns.jp 2017-12-25 21:35:29 UTC
*** Bug 1529005 has been marked as a duplicate of this bug. ***

Comment 19 Corey Ashford 2018-01-03 02:01:44 UTC
*** Bug 1530423 has been marked as a duplicate of this bug. ***

Comment 20 Pradeep Kumar 2018-01-06 05:51:16 UTC
*** Bug 1531846 has been marked as a duplicate of this bug. ***

Comment 21 FlyDove 2018-01-24 10:29:57 UTC
*** Bug 1538019 has been marked as a duplicate of this bug. ***

Comment 22 Grégory Salvan 2018-03-01 13:01:14 UTC
*** Bug 1550559 has been marked as a duplicate of this bug. ***

Comment 23 Arctic Terrous 2018-03-18 11:41:42 UTC
*** Bug 1557753 has been marked as a duplicate of this bug. ***

Comment 24 295354859 2018-03-27 02:20:56 UTC
Similar problem has been detected:

before rebooting ,setting window is not responseding,force quit faild.
and remain rebooting,shutdown faild.so i directely  press my power button.

reporter:       libreport-2.9.2
backtrace_rating: 4
cmdline:        gkbd-keyboard-display -l default
crash_function: get_preferred_height_for_width
executable:     /usr/bin/gkbd-keyboard-display
journald_cursor: s=6ed222715480464a93146becdfdeca35;i=794;b=e7ef4172eb644c87a6f065c4272612e0;m=2bb582e;t=5685b14e1c66e;x=a1479e9937576eec
kernel:         4.13.9-300.fc27.x86_64
package:        libgnomekbd-3.26.0-1.fc27
reason:         gkbd-keyboard-display killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 25 Samuel Sieb 2018-03-27 05:28:55 UTC
Similar problem has been detected:

Trying to view the keyboard layout of the IPA ibus table.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        gkbd-keyboard-display -l default
crash_function: get_preferred_height_for_width
executable:     /usr/bin/gkbd-keyboard-display
journald_cursor: s=9e262bd4ca52436b922b149b2a40035c;i=f4ae;b=384fed17091c4cb9898e98d152615310;m=6a33dbaa50;t=5684c44e122b7;x=c2997cb4660a448e
kernel:         4.15.9-300.fc27.x86_64
package:        libgnomekbd-3.26.0-1.fc27
reason:         gkbd-keyboard-display killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 26 Easwar TR 2018-03-28 12:11:56 UTC
*** Bug 1561476 has been marked as a duplicate of this bug. ***

Comment 27 ardian 2018-04-04 15:24:12 UTC
*** Bug 1563750 has been marked as a duplicate of this bug. ***

Comment 28 Rafael Kalachev 2018-04-07 23:32:57 UTC
*** Bug 1564795 has been marked as a duplicate of this bug. ***

Comment 29 lbtsmer 2018-04-25 06:35:57 UTC
*** Bug 1571559 has been marked as a duplicate of this bug. ***

Comment 30 Bobby Rong 2018-05-01 03:44:29 UTC
*** Bug 1573385 has been marked as a duplicate of this bug. ***

Comment 31 Bobby Rong 2018-05-01 03:57:08 UTC
*** Bug 1573385 has been marked as a duplicate of this bug. ***

Comment 32 Parag Nemade 2018-09-26 03:34:13 UTC
*** Bug 1618988 has been marked as a duplicate of this bug. ***

Comment 33 Parag Nemade 2018-09-26 03:36:56 UTC
This bug is reproducible in Fedora 29 also. Moving to 29 verison.

Comment 34 Ken Sugawara 2018-11-07 08:32:38 UTC
*** Bug 1647325 has been marked as a duplicate of this bug. ***

Comment 35 Marco Kundt 2019-02-03 19:18:54 UTC
*** Bug 1672093 has been marked as a duplicate of this bug. ***

Comment 36 Dirk Hoffmann 2019-03-07 15:48:13 UTC
*** Bug 1686515 has been marked as a duplicate of this bug. ***

Comment 37 t93tim 2019-04-07 03:06:57 UTC
*** Bug 1697008 has been marked as a duplicate of this bug. ***

Comment 38 t93tim 2019-04-27 09:33:32 UTC
*** Bug 1703660 has been marked as a duplicate of this bug. ***

Comment 39 vikram goyal 2019-04-30 15:37:09 UTC
Similar problem has been detected:

I have English (USA)  en1 & English (India) en2 configured. I required to include Hindi,
so from settings I selected Hindi inscript m17n & enabled it. Then I selected Hindi from language selector
& tried to type in Hindi but phonetic of the alphabets were wrong, so I went to language selector
& selected Show Keybord layout when it crashed.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        gkbd-keyboard-display -l default[lv3:ralt_switch]
crash_function: get_preferred_height_for_width
executable:     /usr/bin/gkbd-keyboard-display
journald_cursor: s=dcde05cef731489db10fcda1eeb45582;i=138d;b=f8f28e8dec6348f881e7198383b99106;m=cb2ef125;t=587c10b1f6431;x=435c468e92bf0f86
kernel:         5.0.8-200.fc29.x86_64
package:        libgnomekbd-3.26.0-6.fc29
reason:         gkbd-keyboard-display killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 40 Arnab Bhattacharya 2019-08-22 12:21:37 UTC
*** Bug 1744556 has been marked as a duplicate of this bug. ***

Comment 41 Ben Cotton 2019-10-31 18:55:32 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.